%global jarname commons-text

Summary:        Library focused on algorithms working on strings
Name:           apache-%{jarname}
Version:        1.9
Release:        6%{?dist}
License:        ASL 2.0
URL:            https://commons.apache.org/proper/%{jarname}
Source0:        https://archive.apache.org/dist/commons/text/source/%{jarname}-%{version}-src.tar.gz

Patch3000:      0001-disable-url-lookup.patch

BuildRequires:  gnupg2 maven-local-openjdk11
BuildRequires:  mvn(org.apache.commons:commons-parent:pom:)
BuildRequires:  mvn(org.assertj:assertj-core)
BuildRequires:  mvn(org.junit.jupiter:junit-jupiter)
BuildRequires:  mvn(org.mockito:mockito-inline)
BuildRequires:  systemd-nss
BuildArch:      noarch

%description
The Commons Text library provides additions to the standard JDK's
text handling. Our goal is to provide a consistent set of tools for
processing text generally from computing distances between Strings
to being able to efficiently do String escaping of various types.

%{?javadoc_package}

%prep
%autosetup -p1 -n %{jarname}-%{version}-src

find -type f '(' -name '*.jar' -o -name '*.class' ')' -print -delete

%build
%mvn_build -- -Dmaven.compiler.release=8

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt NOTICE.txt
%doc README.md RELEASE-NOTES.txt

%changelog
* Mon Sep 30 2024 Xiaojie Chen <jackxjchen@tencent.com> - 1.9-6
- [Type] bugfix
- [Desc] Add BR for systemd-nss

* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9-5
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9-4
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 26 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.9-1
- Initial build
